.. _usinas_hidreletricas:

===============================
Dados das Usinas Hidrelétricas
===============================

.. currentmodule:: inewave.libs.usinas_hidreletricas

As informações de usinas hidrelétricas no NEWAVE, localizadas no arquivos das LIBS que são indicados no `indices.csv` com as respectivas funcionalidades, são armazenados na classe:

.. autoclass:: UsinasHidreletricas
   :members:

.. currentmodule:: inewave.libs.modelos.usinas_hidreletricas

As informações existentes em cada um dos campos são armazenadas em modelos próprios
para cada um.

.. autoclass:: HidreletricaCurvaJusante
   :members:

.. autoclass:: HidreletricaCurvaJusantePolinomioPorPartes
   :members:

.. autoclass:: HidreletricaCurvaJusantePolinomioPorPartesSegmento
   :members:

.. autoclass:: HidreletricaCurvaJusanteAfogamentoExplicitoUsina
   :members:

.. autoclass:: HidreletricaCurvaJusanteAfogamentoExplicitoPadrao
   :members:

.. autoclass:: EstacaoBombeamento
   :members:

.. autoclass:: EstacaoBombeamentoSubmercado
   :members:

.. autoclass:: EstacaoBombeamentoLimitesPeriodoPatamar
   :members:

.. autoclass:: HidreletricaProdutibilidadeEspecificaGrade
   :members:

.. autoclass:: HidreletricaPerdaHidraulicaGrade
   :members:

.. autoclass:: VolumeReferencialTipoPadrao
   :members:

.. autoclass:: VolumeReferencialPeriodo
   :members:
